Skip to navigation

List workflow tasks

List workflow tasks

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

idsstringOptional
Comma separated list of workflow task IDs
workflowTaskGroupIdsstringOptional>=1 character
Comma separated list of workflow IDs
schemaIdstringOptional
The ID of the workflow task schema of the workflow task
statusIdsstringOptional>=1 character
Comma separated list of workflow task status ids
assigneeIdsstringOptional>=1 character
Comma separated list of user ids or "null"
watcherIdsstringOptional>=1 character
Comma separated list of user IDs or "null"
responsibleTeamIdsstringOptional>=1 character
Comma separated list of team IDs or "null"
executionOriginIdsstringOptional>=1 character
Comma separated list of entry IDs
executionTypesstringOptional>=1 character
Comma separated list of workflow execution types. Acceptable execution types are "DIRECT" and "ENTRY"
linkedItemIds.anyOfstringOptional
Comma separated list of bioentity or storable IDs. Maximum of 100. Returns workflow tasks where the task's schema fields reference at least one of the provided items.
linkedItemIds.allOfstringOptional
Comma separated list of bioentity or storable IDs. Returns workflow tasks where the task's schema fields reference all of the provided items.
linkedItemIds.noneOfstringOptional
Comma separated list of bioentity or storable IDs. Returns workflow tasks where the task's schema fields do not reference any of the provided items.
schemaFieldsmap from strings to anyOptional

Filter based on schema field value (not display value). Restricts results to those with a field whose value matches the filter. For Integer, Float, and Date type fields, supports the >= and <= operators (but not < or >). If any schemaField filters are present, the schemaId param must also be present. Note that all operators must be separated from any values by a single space.

namestringOptional
The name of the workflow task
nameIncludesstringOptional
Part of the name of the workflow task
creatorIdsstringOptional
Comma separated list of user IDs.
scheduledOnenum or dateOptional
The date on which the task was scheduled to be executed. Returns tasks which are scheduled on the provided date. If "null" is provided returns tasks which are unshceduled.
scheduledOn.ltdateOptional
The date on which the task was scheduled to be executed. Returns tasks which are scheduled before the provided date.
scheduledOn.ltedateOptional
The date on which the task was scheduled to be executed. Returns tasks which are scheduled before or on the provided date.
scheduledOn.gtedateOptional
The date on which the task was scheduled to be executed. Returns tasks which are scheduled on or after the provided date.
scheduledOn.gtdateOptional
The date on which the task was scheduled to be executed. Returns tasks which are scheduled after the provided date.
modifiedAtstringOptional

Datetime, in RFC 3339 format. Supports the > and < operators. Time zone defaults to UTC. Restricts results to those modified in the specified range. e.g. > 2017-04-30. Date ranges can be specified with the following nomenclature > YYYY-MM-DD AND <YYYY-MM-DD.

nextTokenstringOptional
pageSizeintegerOptional0-100Defaults to 50
displayIdsstringOptional

Comma-separated list of Workflow Task Display IDs.

archiveReasonstringOptional

Archive reason. Restricts items to those with the specified archive reason. Use “NOT_ARCHIVED” to filter for unarchived workflow tasks. Use “ANY_ARCHIVED” to filter for archived workflow tasks regardless of reason. Use “ANY_ARCHIVED_OR_NOT_ARCHIVED” to return items for both archived and unarchived.

Response

OK
nextTokenstringOptional
workflowTaskslist of objectsOptional

Errors

400
Bad Request Error